fastlane documentation
================
# Installation

Make sure you have the latest version of the Xcode command line tools installed:

```
xcode-select --install
```

## Choose your installation method:

<table width="100%" >
<tr>
<th width="33%"><a href="http://brew.sh">Homebrew</a></td>
<th width="33%">Installer Script</td>
<th width="33%">Rubygems</td>
</tr>
<tr>
<td width="33%" align="center">macOS</td>
<td width="33%" align="center">macOS</td>
<td width="33%" align="center">macOS or Linux with Ruby 2.0.0 or above</td>
</tr>
<tr>
<td width="33%"><code>brew cask install fastlane</code></td>
<td width="33%"><a href="https://download.fastlane.tools">Download the zip file</a>. Then double click on the <code>install</code> script (or run it in a terminal window).</td>
<td width="33%"><code>sudo gem install fastlane -NV</code></td>
</tr>
</table>

# Available Actions
## iOS
### ios certs
```
fastlane ios certs
```
Check all certs and provisioning profiles from github
### ios bump
```
fastlane ios bump
```
Update version number
### ios push
```
fastlane ios push
```
Build and push to iTunes Connect
### ios screenshots
```
fastlane ios screenshots
```
Take screenshots
### ios metadata
```
fastlane ios metadata
```
Upload metadata
### ios updateadhoc
```
fastlane ios updateadhoc
```
Make sure all devices are added to the ad-hoc profile
### ios beta
```
fastlane ios beta
```
Build and upload an ad-hoc release to Crashlytics

----

This README.md is auto-generated and will be re-generated every time [fastlane](https://fastlane.tools) is run.
More information about fastlane can be found on [fastlane.tools](https://fastlane.tools).
The documentation of fastlane can be found on [docs.fastlane.tools](https://docs.fastlane.tools).
